perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From André Warnier ...@ice-sa.com>
Subject Problem installing SOAP::SOM, in dependency SOAP::Lite
Date Sat, 01 Jun 2013 14:58:23 GMT
Hi.

I don't really know if SOAP::Lite is supported or not ;-), but
I saw PHRED lurking around here, so I'll try my luck.

While trying to find my way around to interface with a Sharepoint web service, I encounter

the following issue (visible at end if you want to skip to the flesh) :

Platform : Windows XP SP3
Perl (Strawberry) :
C:\WINDOWS>perl -V
Summary of my perl5 (revision 5 version 16 subversion 3) configuration:

   Platform:
     osname=MSWin32, osvers=4.0, archname=MSWin32-x86-multi-thread
     uname='Win32 strawberry-perl 5.16.3.1 #1 Tue Mar 12 13:55:20 2013 i386'
     config_args='undef'
     hint=recommended, useposix=true, d_sigaction=undef
     useithreads=define, usemultiplicity=define
     useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
     use64bitint=undef, use64bitall=undef, uselongdouble=undef
     usemymalloc=n, bincompat5005=undef
   Compiler:
     cc='gcc', ccflags =' -s -O2 -DWIN32  -DPERL_TEXTMODE_SCRIPTS -DPERL_IMPLICIT_CONTEXT

-DPERL_IMPLICIT_SYS -fno-strict
-aliasing -mms-bitfields',
     optimize='-s -O2',
     cppflags='-DWIN32'
     ccversion='', gccversion='4.6.3', gccosandvers=''
     intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
     d_longlong=undef, longlongsize=8, d_longdbl=define, longdblsize=12
     ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='long long', lseeksize=8
     alignbytes=8, prototype=define
   Linker and Libraries:
     ld='g++', ldflags ='-s -L"C:\sperl\perl\lib\CORE" -L"C:\sperl\c\lib"'
     libpth=C:\sperl\c\lib C:\sperl\c\i686-w64-mingw32\lib
     libs=-lmoldname -lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 
-lshell32 -lole32 -loleaut32 -lnetapi32
  -luuid -lws2_32 -lmpr -lwinmm -lversion -lodbc32 -lodbccp32 -lcomctl32
     perllibs=-lmoldname -lkernel32 -luser32 -lgdi32 -lwinspool -lcomdlg32 -ladvapi32 
-lshell32 -lole32 -loleaut32 -lneta
pi32 -luuid -lws2_32 -lmpr -lwinmm -lversion -lodbc32 -lodbccp32 -lcomctl32
     libc=, so=dll, useshrplib=true, libperl=libperl516.a
     gnulibc_version=''
   Dynamic Linking:
     dlsrc=dl_win32.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' '
     cccdlflags=' ', lddlflags='-mdll -s -L"C:\sperl\perl\lib\CORE" -L"C:\sperl\c\lib"'


Characteristics of this binary (from libperl):
   Compile-time options: HAS_TIMES HAVE_INTERP_INTERN MULTIPLICITY
                         PERLIO_LAYERS PERL_DONT_CREATE_GVSV
                         PERL_IMPLICIT_CONTEXT PERL_IMPLICIT_SYS
                         PERL_MALLOC_WRAP PERL_PRESERVE_IVUV PL_OP_SLAB_ALLOC
                         USE_ITHREADS USE_LARGE_FILES USE_LOCALE
                         USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                         USE_LOCALE_NUMERIC USE_PERLIO USE_PERL_ATOF
   Built under MSWin32
   Compiled at Mar 12 2013 14:01:07
   @INC:
     C:/sperl/perl/site/lib
     C:/sperl/perl/vendor/lib
     C:/sperl/perl/lib
     .


Problem:

C:\WINDOWS>cpan SOAP::SOM
CPAN: CPAN::SQLite loaded ok (v0.202)
Database was generated on Sat, 01 Jun 2013 14:34:32 GMT
Running install for module 'SOAP::SOM'
Running make for P/PH/PHRED/SOAP-Lite-0.716.tar.gz
CPAN: LWP::UserAgent loaded ok (v6.04)
CPAN: Time::HiRes loaded ok (v1.9725)
Fetching with LWP:
http://cpan.strawberryperl.com/authors/id/P/PH/PHRED/SOAP-Lite-0.716.tar.gz
CPAN: YAML::XS loaded ok (v0.39)
CPAN: Digest::SHA loaded ok (v5.84)
Fetching with LWP:
http://cpan.strawberryperl.com/authors/id/P/PH/PHRED/CHECKSUMS
CPAN: Compress::Zlib loaded ok (v2.06)
Checksum for C:\sperl\cpan\sources\authors\id\P\PH\PHRED\SOAP-Lite-0.716.tar.gz ok
CPAN: Archive::Tar loaded ok (v1.90)
CPAN: File::Temp loaded ok (v0.22)
CPAN: Parse::CPAN::Meta loaded ok (v1.4404)
CPAN: CPAN::Meta loaded ok (v2.120921)
CPAN: Module::CoreList loaded ok (v2.83)

   CPAN.pm: Building P/PH/PHRED/SOAP-Lite-0.716.tar.gz

We are about to install SOAP::Lite and for your convenience will provide
you with list of modules and prerequisites, so you'll be able to choose
only modules you need for your configuration.

XMLRPC::Lite, UDDI::Lite, and XML::Parser::Lite are included by default.
Installed transports can be used for both SOAP::Lite and XMLRPC::Lite.

Press <enter> to see the detailed list.

Feature                       Prerequisites                Install?
----------------------------- ---------------------------- --------
Core Package                  [*] Scalar::Util             always
                               [*] URI
                               [*] constant
                               [*] Test::More
                               [*] MIME::Base64
                               [*] Class::Inspector
                               [*] XML::Parser (v2.23)
                               [*] Task::Weaken
Client HTTP support           [*] LWP::UserAgent           always
Client HTTPS support          [*] Crypt::SSLeay            [ yes ]
Client SMTP/sendmail support  [*] MIME::Lite               [ yes ]
Client FTP support            [ ] SOAP::Transport::FTP (v0.711) [ no ]
Client TCP support            [ ] SOAP::Transport::TCP (v0.714) [ no ]
Standalone HTTP server        [*] HTTP::Daemon             [ yes ]
Apache/mod_perl server        [ ] Apache                   [ no ]
FastCGI server                [*] FCGI                     [ yes ]
POP3 server                   [*] MIME::Parser             [ yes ]
                               [*] Net::POP3
IO server                     [*] IO::File                 [ yes ]
MQ transport support          [ ] SOAP::Transport::MQ (v0.712) [ no ]
JABBER transport support      [ ] SOAP::Transport::JABBER (v0.712) [ no ]
MIME messages                 [*] MIME::Parser             [ yes ]
DIME messages                 [*] IO::Scalar (v2.105)      [ no ]
                               [ ] DIME::Tools (v0.03)
                               [ ] Data::UUID (v0.11)
SSL Support for TCP Transport [*] IO::Socket::SSL          [ yes ]
Compression support for HTTP  [*] Compress::Zlib           [ yes ]
MIME interoperability w/ Axis [ ] MIME::Parser (v6.106)    [ no ]
--- An asterix '[*]' indicates if the module is currently installed.

Do you want to proceed with this configuration? [yes] n
Do you plan to use Client HTTPS support? [yes]
Do you plan to use Client SMTP/sendmail support? [yes] n
Do you plan to use Client FTP support? [no] n
Do you plan to use Client TCP support? [no] n
Do you plan to use Standalone HTTP server? [yes] n
Do you plan to use Apache/mod_perl server? [no] n
Do you plan to use FastCGI server? [yes] n
Do you plan to use POP3 server? [yes] n
Do you plan to use IO server? [yes] n
Do you plan to use MQ transport support? [no] n
Do you plan to use JABBER transport support? [no] n
Do you plan to use MIME messages? [yes]
Do you plan to use DIME messages? [no] n
Do you plan to use SSL Support for TCP Transport? [yes]
Do you plan to use Compression support for HTTP? [yes]
Do you plan to use MIME interoperability w/ Axis? [no] n

Feature                       Prerequisites                Install?
----------------------------- ---------------------------- --------
Core Package                  [*] Scalar::Util             always
                               [*] URI
                               [*] constant
                               [*] Test::More
                               [*] MIME::Base64
                               [*] Class::Inspector
                               [*] XML::Parser (v2.23)
                               [*] Task::Weaken
Client HTTP support           [*] LWP::UserAgent           always
Client HTTPS support          [*] Crypt::SSLeay            [ yes ]
Client SMTP/sendmail support  [*] MIME::Lite               [ no ]
Client FTP support            [ ] SOAP::Transport::FTP (v0.711) [ no ]
Client TCP support            [ ] SOAP::Transport::TCP (v0.714) [ no ]
Standalone HTTP server        [*] HTTP::Daemon             [ no ]
Apache/mod_perl server        [ ] Apache                   [ no ]
FastCGI server                [*] FCGI                     [ no ]
POP3 server                   [*] MIME::Parser             [ no ]
                               [*] Net::POP3
IO server                     [*] IO::File                 [ no ]
MQ transport support          [ ] SOAP::Transport::MQ (v0.712) [ no ]
JABBER transport support      [ ] SOAP::Transport::JABBER (v0.712) [ no ]
MIME messages                 [*] MIME::Parser             [ yes ]
DIME messages                 [*] IO::Scalar (v2.105)      [ no ]
                               [ ] DIME::Tools (v0.03)
                               [ ] Data::UUID (v0.11)
SSL Support for TCP Transport [*] IO::Socket::SSL          [ yes ]
Compression support for HTTP  [*] Compress::Zlib           [ yes ]
MIME interoperability w/ Axis [ ] MIME::Parser (v6.106)    [ no ]
--- An asterix '[*]' indicates if the module is currently installed.

Do you want to proceed with this configuration? [yes]
Checking if your kit is complete...
Looks good
Writing Makefile for SOAP::Lite
Writing MYMETA.yml and MYMETA.json
cp lib/UDDI/Lite.pm blib\lib\UDDI\Lite.pm
cp lib/SOAP/Header.pod blib\lib\SOAP\Header.pod
cp lib/SOAP/Client.pod blib\lib\SOAP\Client.pod
cp lib/SOAP/Packager.pm blib\lib\SOAP\Packager.pm
cp lib/SOAP/Constants.pm blib\lib\SOAP\Constants.pm
cp lib/XML/Parser/Lite.pm blib\lib\XML\Parser\Lite.pm
cp lib/SOAP/Lite/Packager.pm blib\lib\SOAP\Lite\Packager.pm
cp lib/SOAP/Transport/LOOPBACK.pm blib\lib\SOAP\Transport\LOOPBACK.pm
cp lib/SOAP/SOM.pod blib\lib\SOAP\SOM.pod
cp lib/XMLRPC/Transport/POP3.pm blib\lib\XMLRPC\Transport\POP3.pm
cp lib/XMLRPC/Transport/TCP.pm blib\lib\XMLRPC\Transport\TCP.pm
cp lib/SOAP/Transport/MAILTO.pm blib\lib\SOAP\Transport\MAILTO.pm
cp lib/SOAP/Test.pm blib\lib\SOAP\Test.pm
cp lib/SOAP/Schema.pod blib\lib\SOAP\Schema.pod
cp lib/Apache/SOAP.pm blib\lib\Apache\SOAP.pm
cp lib/Apache/XMLRPC/Lite.pm blib\lib\Apache\XMLRPC\Lite.pm
cp lib/XMLRPC/Transport/HTTP.pm blib\lib\XMLRPC\Transport\HTTP.pm
cp lib/SOAP/Transport/POP3.pm blib\lib\SOAP\Transport\POP3.pm
cp lib/SOAP/Deserializer.pod blib\lib\SOAP\Deserializer.pod
cp lib/SOAP/Data.pod blib\lib\SOAP\Data.pod
cp lib/SOAP/Server.pod blib\lib\SOAP\Server.pod
cp lib/SOAP/Transport/IO.pm blib\lib\SOAP\Transport\IO.pm
cp lib/SOAP/Lite/Utils.pm blib\lib\SOAP\Lite\Utils.pm
cp lib/SOAP/Lite/Deserializer/XMLSchema1999.pm 
blib\lib\SOAP\Lite\Deserializer\XMLSchema1999.pm
cp lib/XMLRPC/Test.pm blib\lib\XMLRPC\Test.pm
cp lib/XMLRPC/Lite.pm blib\lib\XMLRPC\Lite.pm
cp lib/SOAP/Transport.pod blib\lib\SOAP\Transport.pod
cp lib/SOAP/Utils.pod blib\lib\SOAP\Utils.pod
cp lib/SOAP/Transport/HTTP.pm blib\lib\SOAP\Transport\HTTP.pm
cp lib/SOAP/Lite/Deserializer/XMLSchemaSOAP1_2.pm 
blib\lib\SOAP\Lite\Deserializer\XMLSchemaSOAP1_2.pm
cp lib/SOAP/Lite/Deserializer/XMLSchema2001.pm 
blib\lib\SOAP\Lite\Deserializer\XMLSchema2001.pm
cp lib/SOAP/Serializer.pod blib\lib\SOAP\Serializer.pod
cp lib/SOAP/Lite/Deserializer/XMLSchemaSOAP1_1.pm 
blib\lib\SOAP\Lite\Deserializer\XMLSchemaSOAP1_1.pm
cp lib/SOAP/Transport/LOCAL.pm blib\lib\SOAP\Transport\LOCAL.pm
cp lib/SOAP/Fault.pod blib\lib\SOAP\Fault.pod
cp lib/SOAP/Lite.pm blib\lib\SOAP\Lite.pm
cp lib/SOAP/Trace.pod blib\lib\SOAP\Trace.pod
C:\sperl\perl\bin\perl.exe -MExtUtils::Command -e cp -- bin/SOAPsh.pl blib\script\SOAPsh.pl
pl2bat.bat blib\script\SOAPsh.pl
C:\sperl\perl\bin\perl.exe -MExtUtils::Command -e cp -- bin/stubmaker.pl 
blib\script\stubmaker.pl
pl2bat.bat blib\script\stubmaker.pl
C:\sperl\perl\bin\perl.exe -MExtUtils::Command -e cp -- bin/XMLRPCsh.pl 
blib\script\XMLRPCsh.pl
pl2bat.bat blib\script\XMLRPCsh.pl
   PHRED/SOAP-Lite-0.716.tar.gz
   C:\sperl\c\bin\dmake.exe -- OK
Running make test
C:\sperl\perl\bin\perl.exe "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib\lib', 
'blib\arch')" t/01-core.t t/010-s
erializer.t t/012-cloneable.t t/013-array-deserialization.t t/014_UNIVERSAL_use.t 
t/015_UNIVERSAL_can.t t/02-payload.t t
/03-server.t t/04-attach.t t/05-customxml.t t/06-modules.t t/07-xmlrpc_payload.t 
t/08-schema.t t/096_characters.t t/097_
kwalitee.t t/098_pod.t t/099_pod_coverage.t t/SOAP/Data.t t/SOAP/Serializer.t 
t/SOAP/Lite/Packager.t t/SOAP/Lite/Deseria
lizer/XMLSchema1999.t t/SOAP/Lite/Deserializer/XMLSchema2001.t 
t/SOAP/Lite/Deserializer/XMLSchemaSOAP1_1.t t/SOAP/Lite/D
eserializer/XMLSchemaSOAP1_2.t t/SOAP/Schema/WSDL.t t/SOAP/Transport/HTTP.t 
t/SOAP/Transport/IO.t t/SOAP/Transport/LOCAL
.t t/SOAP/Transport/MAILTO.t t/SOAP/Transport/POP3.t t/SOAP/Transport/HTTP/CGI.t 
t/XML/Parser/Lite.t t/XMLRPC/Lite.t
t/01-core.t .................................. ok
t/010-serializer.t ........................... ok
t/012-cloneable.t ............................ ok
t/013-array-deserialization.t ................ ok
t/014_UNIVERSAL_use.t ........................ ok
t/015_UNIVERSAL_can.t ........................ ok
t/02-payload.t ............................... ok
t/03-server.t ................................ ok
t/04-attach.t ................................ All 15 subtests passed
t/05-customxml.t ............................. ok
t/06-modules.t ............................... ok
t/07-xmlrpc_payload.t ........................ ok
t/08-schema.t ................................ ok
t/096_characters.t ........................... skipped: (no reason given)
t/097_kwalitee.t ............................. skipped: (no reason given)
t/098_pod.t .................................. skipped: (no reason given)
t/099_pod_coverage.t ......................... skipped: (no reason given)
t/SOAP/Data.t ................................ ok
t/SOAP/Lite/Deserializer/XMLSchema1999.t ..... ok
t/SOAP/Lite/Deserializer/XMLSchema2001.t ..... ok
t/SOAP/Lite/Deserializer/XMLSchemaSOAP1_1.t .. ok
t/SOAP/Lite/Deserializer/XMLSchemaSOAP1_2.t .. ok
t/SOAP/Lite/Packager.t ....................... ok
t/SOAP/Schema/WSDL.t ......................... ok
t/SOAP/Serializer.t .......................... ok
t/SOAP/Transport/HTTP.t ...................... ok
t/SOAP/Transport/HTTP/CGI.t .................. ok
t/SOAP/Transport/IO.t ........................ ok
t/SOAP/Transport/LOCAL.t ..................... ok
t/SOAP/Transport/MAILTO.t .................... skipped: Cannot test without Test::MockObject
t/SOAP/Transport/POP3.t ...................... ok
t/XML/Parser/Lite.t .......................... ok
t/XMLRPC/Lite.t .............................. ok

Test Summary Report
-------------------
t/04-attach.t                              (Wstat: 0 Tests: 18 Failed: 3)
   Failed tests:  16-18
   Parse errors: Bad plan.  You planned 15 tests but ran 18.
Files=33, Tests=875,  7 wallclock secs ( 0.27 usr +  0.03 sys =  0.30 CPU)
Result: FAIL
Failed 1/33 test programs. 3/875 subtests failed.
dmake.exe:  Error code 255, while making 'test_dynamic'
   PHRED/SOAP-Lite-0.716.tar.gz
   C:\sperl\c\bin\dmake.exe test -- NOT OK
//hint// to see the cpan-testers results for installing this module, try:
   reports PHRED/SOAP-Lite-0.716.tar.gz
Running make install
   make test had returned bad status, won't install without force
Stopping: 'install' failed for 'SOAP::SOM'.

C:\WINDOWS>


Mime
View raw message